Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface FileCacheStats

All Superinterfaces:
  Stats

public interface FileCacheStats
extends Stats

See Also:
  `FileCacheMonitor`

Method Summary
`CountStatistic` | `getCountContentHits()`
`CountStatistic` | `getCountContentMisses()`
`CountStatistic` | `getCountEntries()`
`CountStatistic` | `getCountHits()`
`CountStatistic` | `getCountInfoHits()`
`CountStatistic` | `getCountInfoMisses()`
`CountStatistic` | `getCountMisses()`
`CountStatistic` | `getCountOpenEntries()`
`CountStatistic` | `getFlagEnabled()`
`CountStatistic` | `getMaxEntries()`
`CountStatistic` | `getMaxHeapCacheSize()`
`CountStatistic` | `getMaxMmapCacheSize()`
`CountStatistic` | `getMaxOpenEntries()`
`CountStatistic` | `getSecondsMaxAge()`
`CountStatistic` | `getSizeHeapCache()`
`CountStatistic` | `getSizeMmapCache()`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCountContentHits

    public CountStatistic getCountContentHits()

### getCountEntries

    public CountStatistic getCountEntries()

### getCountInfoHits

    public CountStatistic getCountInfoHits()

### getSizeHeapCache

    public CountStatistic getSizeHeapCache()

### getCountInfoMisses

    public CountStatistic getCountInfoMisses()

### getCountMisses

    public CountStatistic getCountMisses()

### getCountContentMisses

    public CountStatistic getCountContentMisses()

### getSecondsMaxAge

    public CountStatistic getSecondsMaxAge()

### getMaxEntries

    public CountStatistic getMaxEntries()

### getMaxOpenEntries

    public CountStatistic getMaxOpenEntries()

### getFlagEnabled

    public CountStatistic getFlagEnabled()

### getMaxMmapCacheSize

    public CountStatistic getMaxMmapCacheSize()

### getSizeMmapCache

    public CountStatistic getSizeMmapCache()

### getCountHits

    public CountStatistic getCountHits()

### getCountOpenEntries

    public CountStatistic getCountOpenEntries()

### getMaxHeapCacheSize

    public CountStatistic getMaxHeapCacheSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.